Package org.drinkless.tdlib

# Class TdApi.MessagePositions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessagePositions

Enclosing class:
  TdApi

public static class TdApi.MessagePositions extends TdApi.Object
Contains a list of message positions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessagePosition[]`
  `positions`
  List of message positions.
  `int`
  `totalCount`
  Total number of messages found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePositions()`
  Contains a list of message positions.
  `MessagePositions(int totalCount, TdApi.MessagePosition[] positions)`
  Contains a list of message positions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Total number of messages found.

  - ### positions

    public TdApi.MessagePosition[] positions
    List of message positions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePositions

    public MessagePositions()
    Contains a list of message positions.

  - ### MessagePositions

    public MessagePositions(int totalCount, TdApi.MessagePosition[] positions)
    Contains a list of message positions.
    Parameters:
      `totalCount` - Total number of messages found.
      `positions` - List of message positions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR